{*********************************************************}
{*                    STREG.PAS 2.01                     *}
{*     Copyright (c) TurboPower Software Co., 1996-98    *}
{*                 All rights reserved.                  *}
{*********************************************************}

{$I STDEFINE.INC}

{$A-} {Packed records}
{$B-} {Incomplete boolean evaluation}
{$W-} {No special Windows stack frames}
{$X+} {Extended syntax}

{$IFNDEF WIN32}
  {$C MOVEABLE,DEMANDLOAD,DISCARDABLE}
{$ENDIF}

{$IFDEF Win32}
  {$IFNDEF VER93}
    {$R STREG.R32}
  {$ENDIF}
{$ELSE}
  {$R STREG.R16}
{$ENDIF}

unit StTrReg;

interface

uses
  Classes, DsgnIntf;

procedure Register;

implementation

uses
  StBase,

  {$IFDEF WIN32}

  StTrIcon,

  StShBase,
  {$ENDIF}

  {forces these units to be compiled when components are installed}
  {vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv}
  {STASTRO, STASTROP, STBCD, STBITS, STCOLL,} STCONST, {STCRC,} STDATE,{ STDATEST,}
  {STDICT, STDQUE, STECLPSE, STFIN, STHASH, STJUP, STJUPSAT, STLARR, STLIST,
  STMARS, STMERC, STMIME, STNEPTUN, STNVCONT, STOSTR, STPLUTO, STPQUEUE,
  STREGINI, STSATURN, STSORT,} {$IFDEF WIN32} STSTRL, {$ENDIF} STSTRS,
  {STSTRZ, STTEXT, STTREE, STURANUS,} STUTILS, {STVARR, STVENUS, STSTAT,}
  {^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^}
  {StExpr,}
  StPropEd;

procedure Register;
begin
  

  RegisterComponents('SysTools',
    [{$IFDEF WIN32}
     TStTrayIcon
     {$ENDIF}
     ]);

  {non-visual container class components}

end;

end.