{*********************************************************}
{*                   STCONST.PAS 2.01                    *}
{*     Copyright (c) TurboPower Software Co., 1996-98    *}
{*                 All rights reserved.                  *}
{*********************************************************}

{$I STDEFINE.INC}

{$IFDEF WIN32}
  {$R STCONST.R32}
{$ELSE}
  {$R STCONST.R16}
{$ENDIF}

unit StConst;
  {-Resource constants for SysTools}

interface

uses
  SysUtils, SrMgr;

{$I STCONST.INC}

const
  StVersionStr = '2.01';

var
  SysToolStr : TpsStringResource;

implementation


procedure FreeSysToolStr; far;
begin
  SysToolStr.Free;
end;


initialization
  SysToolStr := TpsStringResource.Create(HInstance, 'SYSTOOLS_STRINGS_ENGLISH');

{$IFDEF Win32}
finalization
  FreeSysToolStr;
{$ELSE}
  AddExitProc(FreeSysToolStr);
{$ENDIF}
end.